ReplyListener (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.core
Interface ReplyListener

All Known Implementing Classes:
  NullReplyListener, Reply

public interface ReplyListener

Provided to allow for the registration of a `ReplyListener` per request.

A `ReplyListener` receives replies (RPY, ERR, ANS, NUL) corresponding to an MSG sent with `sendMSG`.

See Also:
  `Channel.sendMSG(OutputDataStream, ReplyListener)`

Method Summary
`void` | `receiveANS(Message message)` Called when the underlying BEEP framework receives a reply of type ANS.
`void` | `receiveERR(Message message)` Called when the underlying BEEP framework receives a reply of type ERR.
`void` | `receiveNUL(Message message)` Called when the underlying BEEP framework receives a reply of type NUL.
`void` | `receiveRPY(Message message)` Called when the underlying BEEP framework receives a reply of type RPY.

Method Detail

### receiveRPY

    public void receiveRPY(Message message)
                    throws AbortChannelException

  Called when the underlying BEEP framework receives a reply of type RPY.

  Parameters:
    `message` - BEEP message
  Throws:
    `AbortChannelException`
  See Also:
    `Message`

### receiveERR

    public void receiveERR(Message message)
                    throws AbortChannelException

  Called when the underlying BEEP framework receives a reply of type ERR.

  Parameters:
    `message` - BEEP message
  Throws:
    `AbortChannelException`
  See Also:
    `Message`

### receiveANS

    public void receiveANS(Message message)
                    throws AbortChannelException

  Called when the underlying BEEP framework receives a reply of type ANS.

  Parameters:
    `message` - BEEP message
  Throws:
    `AbortChannelException`
  See Also:
    `Message`

### receiveNUL

    public void receiveNUL(Message message)
                    throws AbortChannelException

  Called when the underlying BEEP framework receives a reply of type NUL.

  Parameters:
    `message` - BEEP message
  Throws:
    `AbortChannelException`
  See Also:
    `Message`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.